## ladish 0.3

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

import os
import Options
import Utils
import shutil
import re
import waflib
from waflib.Scripting import Dist

parallel_debug = False

APPNAME='ladish'
VERSION='0.3'
DBUS_NAME_BASE = 'org.ladish'
RELEASE = True

# these variables are mandatory ('/' are converted automatically)
top = '.'
out = 'build'

from Logs import pprint

def display_msg(conf, msg="", status = None, color = None):
    if status:
        conf.msg(msg, status, color)
    else:
        pprint('NORMAL', msg)

def display_raw_text(conf, text, color = 'NORMAL'):
    pprint(color, text, sep = '')

def display_line(conf, text, color = 'NORMAL'):
    pprint(color, text, sep = os.linesep)

def yesno(bool):
    if bool:
        return "yes"
    else:
        return "no"

def options(opt):
    opt.load('compiler_c')
    opt.load('compiler_cxx')
    opt.load('boost')
    opt.load('python')
    opt.add_option('--enable-pkg-config-dbus-service-dir', action='store_true', default=False, help='force D-Bus service install dir to be one returned by pkg-config')
    opt.add_option('--enable-liblash', action='store_true', default=False, help='Build LASH compatibility library')
    opt.add_option('--enable-pylash', action='store_true', default=False, help='Build python bindings for LASH compatibility library')
    opt.add_option('--debug', action='store_true', default=False, dest='debug', help="Build debuggable binaries")
    opt.add_option('--doxygen', action='store_true', default=False, help='Enable build of doxygen documentation')
    opt.add_option('--distnodeps', action='store_true', default=False, help="When creating distribution tarball, don't package git submodules")
    opt.add_option('--distname', type='string', default=None, help="Name for the distribution tarball")
    opt.add_option('--distsuffix', type='string', default="", help="String to append to the distribution tarball name")
    opt.add_option('--tagdist', action='store_true', default=False, help='Create of git tag for distname')
    if parallel_debug:
        opt.load('parallel_debug')

def add_cflag(conf, flag):
    conf.env.append_unique('CXXFLAGS', flag)
    conf.env.append_unique('CFLAGS', flag)

def add_linkflag(conf, flag):
    conf.env.append_unique('LINKFLAGS', flag)

def check_gcc_optimizations_enabled(flags):
    gcc_optimizations_enabled = False
    for flag in flags:
        if len(flag) < 2 or flag[0] != '-' or flag[1] != 'O':
            continue
        if len(flag) == 2:
            gcc_optimizations_enabled = True;
        else:
            gcc_optimizations_enabled = flag[2] != '0';
    return gcc_optimizations_enabled

def create_service_taskgen(bld, target, opath, binary):
    bld(
        features     = 'subst', # the feature 'subst' overrides the source/target processing
        source       = os.path.join('daemon', 'dbus.service.in'), # list of string or nodes
        target       = target,  # list of strings or nodes
        install_path = bld.env['DBUS_SERVICES_DIR'] + os.path.sep,
        # variables to use in the substitution
        dbus_object_path = opath,
        daemon_bin_path  = os.path.join(bld.env['PREFIX'], 'bin', binary))

def configure(conf):
    conf.load('compiler_c')
    conf.load('compiler_cxx')
    conf.load('boost')
    conf.load('python')
    conf.load('intltool')
    if parallel_debug:
        conf.load('parallel_debug')

    # dladdr() is used by daemon/sigsegv.c
    # dlvsym() is used by the alsapid library
    conf.check_cc(msg="Checking for libdl", lib=['dl'], uselib_store='DL')

    # forkpty() is used by ladishd
    conf.check_cc(msg="Checking for libutil", lib=['util'], uselib_store='UTIL')

    conf.check_cfg(
        package = 'jack',
        mandatory = True,
        errmsg = "not installed, see http://jackaudio.org/",
        args = '--cflags --libs')

    conf.check_cfg(
        package = 'dbus-1',
        atleast_version = '1.0.0',
        mandatory = True,
        errmsg = "not installed, see http://dbus.freedesktop.org/",
        args = '--cflags --libs')

    dbus_dir = conf.check_cfg(package='dbus-1', args='--variable=session_bus_services_dir', msg="Retrieving D-Bus services dir")
    if not dbus_dir:
        return

    dbus_dir = dbus_dir.strip()
    conf.env['DBUS_SERVICES_DIR_REAL'] = dbus_dir

    if Options.options.enable_pkg_config_dbus_service_dir:
        conf.env['DBUS_SERVICES_DIR'] = dbus_dir
    else:
        conf.env['DBUS_SERVICES_DIR'] = os.path.join(os.path.normpath(conf.env['PREFIX']), 'share', 'dbus-1', 'services')

    conf.env['LIBDIR'] = os.path.join(os.path.normpath(conf.env['PREFIX']), 'lib')

    conf.env['BUILD_DOXYGEN_DOCS'] = Options.options.doxygen

    conf.check_cfg(
        package = 'uuid',
        mandatory = True,
        errmsg = "not installed, see http://e2fsprogs.sourceforge.net/",
        args = '--cflags --libs')

    conf.check(
        header_name='expat.h',
        mandatory = True,
        errmsg = "not installed, see http://expat.sourceforge.net/")

    conf.env['LIB_EXPAT'] = ['expat']

    build_gui = True

    if build_gui and not conf.check_cfg(
        package = 'glib-2.0',
        mandatory = False,
        errmsg = "not installed, see http://www.gtk.org/",
        args = '--cflags --libs'):
        build_gui = False

    if build_gui and not conf.check_cfg(
        package = 'dbus-glib-1',
        mandatory = False,
        errmsg = "not installed, see http://dbus.freedesktop.org/",
        args = '--cflags --libs'):
        build_gui = False

    if build_gui and not conf.check_cfg(
        package = 'gtk+-2.0',
        mandatory = False,
        atleast_version = '2.20.0',
        errmsg = "not installed, see http://www.gtk.org/",
        args = '--cflags --libs'):
        build_gui = False

    if build_gui and not conf.check_cfg(
        package = 'flowcanvas',
        mandatory = False,
        atleast_version = '0.6.4',
        errmsg = "not installed, see http://drobilla.net/software/flowcanvas/",
        args = '--cflags --libs'):
        build_gui = False

    if build_gui:
        # We need the boost headers package (e.g. libboost-dev)
        # shared_ptr.hpp and weak_ptr.hpp
        build_gui = conf.check_boost(errmsg="not found, see http://boost.org/")

    conf.env['BUILD_GLADISH'] = build_gui

    conf.env['BUILD_LIBLASH'] = Options.options.enable_liblash
    conf.env['BUILD_PYLASH'] =  Options.options.enable_pylash
    if conf.env['BUILD_PYLASH'] and not conf.env['BUILD_LIBLASH']:
        conf.fatal("pylash build was requested but liblash was not")
        conf.env['BUILD_PYLASH'] = False
    if conf.env['BUILD_PYLASH']:
        conf.check_python_version()
        conf.check_python_headers()

    conf.env['BUILD_WERROR'] = not RELEASE
    add_cflag(conf, '-Wall')
    if conf.env['BUILD_WERROR']:
        add_cflag(conf, '-Werror')
        # for pre gcc-4.4, enable optimizations so use of uninitialized variables gets detected
        try:
            is_gcc = conf.env['CC_NAME'] == 'gcc'
            if is_gcc:
                gcc_ver = []
                for n in conf.env['CC_VERSION']:
                    gcc_ver.append(int(n))
                if gcc_ver[0] < 4 or gcc_ver[1] < 4:
                    #print "optimize force enable is required"
                    if not check_gcc_optimizations_enabled(conf.env['CFLAGS']):
                        if Options.options.debug:
                            print "C optimization must be forced in order to enable -Wuninitialized"
                            print "However this will not be made because debug compilation is enabled"
                        else:
                            print "C optimization forced in order to enable -Wuninitialized"
                            conf.env.append_unique('CFLAGS', "-O")
        except:
            pass

    conf.env['BUILD_DEBUG'] = Options.options.debug
    if conf.env['BUILD_DEBUG']:
        add_cflag(conf, '-g')
        add_cflag(conf, '-O0')
        add_linkflag(conf, '-g')

    conf.env['DATA_DIR'] = os.path.normpath(os.path.join(conf.env['PREFIX'], 'share', APPNAME))
    conf.env['LOCALE_DIR'] = os.path.normpath(os.path.join(conf.env['PREFIX'], 'share', 'locale'))

    # write some parts of the configure environment to the config.h file
    conf.define('DATA_DIR', conf.env['DATA_DIR'])
    conf.define('LOCALE_DIR', conf.env['LOCALE_DIR'])
    conf.define('PACKAGE_VERSION', VERSION)
    conf.define('DBUS_NAME_BASE', DBUS_NAME_BASE)
    conf.define('DBUS_BASE_PATH', '/' + DBUS_NAME_BASE.replace('.', '/'))
    conf.define('BASE_NAME', APPNAME)
    conf.define('_GNU_SOURCE', 1)
    conf.write_config_header('config.h')

    display_msg(conf)

    display_msg(conf, "==================")
    version_msg = APPNAME + "-" + VERSION

    if os.access('version.h', os.R_OK):
        data = file('version.h').read()
        m = re.match(r'^#define GIT_VERSION "([^"]*)"$', data)
        if m != None:
            version_msg += " exported from " + m.group(1)
    elif os.access('.git', os.R_OK):
        version_msg += " git revision will checked and eventually updated during build"

    display_msg(conf, version_msg)

    display_msg(conf)
    display_msg(conf, "Install prefix", conf.env['PREFIX'], 'CYAN')

    display_msg(conf, 'Build gladish', yesno(conf.env['BUILD_GLADISH']))
    display_msg(conf, 'Build liblash', yesno(Options.options.enable_liblash))
    display_msg(conf, 'Build pylash', yesno(conf.env['BUILD_PYLASH']))
    display_msg(conf, 'Treat warnings as errors', yesno(conf.env['BUILD_WERROR']))
    display_msg(conf, 'Debuggable binaries', yesno(conf.env['BUILD_DEBUG']))
    display_msg(conf, 'Build doxygen documentation', yesno(conf.env['BUILD_DOXYGEN_DOCS']))

    if conf.env['DBUS_SERVICES_DIR'] != conf.env['DBUS_SERVICES_DIR_REAL']:
        display_msg(conf)
        display_line(conf,     "WARNING: D-Bus session services directory as reported by pkg-config is", 'RED')
        display_raw_text(conf, "WARNING:", 'RED')
        display_line(conf,      conf.env['DBUS_SERVICES_DIR_REAL'], 'CYAN')
        display_line(conf,     'WARNING: but service file will be installed in', 'RED')
        display_raw_text(conf, "WARNING:", 'RED')
        display_line(conf,      conf.env['DBUS_SERVICES_DIR'], 'CYAN')
        display_line(conf,     'WARNING: You may need to adjust your D-Bus configuration after installing ladish', 'RED')
        display_line(conf,     'WARNING: You can override dbus service install directory', 'RED')
        display_line(conf,     'WARNING: with --enable-pkg-config-dbus-service-dir option to this script', 'RED')

    display_msg(conf, 'C compiler flags', repr(conf.env['CFLAGS']))
    display_msg(conf, 'C++ compiler flags', repr(conf.env['CXXFLAGS']))

    if not conf.env['BUILD_GLADISH']:
        display_msg(conf)
        display_line(conf,     "WARNING: The GUI frontend will not built", 'RED')

    display_msg(conf)

def git_ver(self):
    bld = self.generator.bld
    header = self.outputs[0].abspath()
    if os.access('./version.h', os.R_OK):
        header = os.path.join(os.getcwd(), out, "version.h")
        shutil.copy('./version.h', header)
        data = file(header).read()
        m = re.match(r'^#define GIT_VERSION "([^"]*)"$', data)
        if m != None:
            self.ver = m.group(1)
            pprint('BLUE', "tarball from git revision " + self.ver)
        else:
            self.ver = "tarball"
        return

    if bld.srcnode.find_node('.git'):
        self.ver = bld.cmd_and_log("LANG= git rev-parse HEAD", quiet=waflib.Context.BOTH).splitlines()[0]
        if bld.cmd_and_log("LANG= git diff-index --name-only HEAD", quiet=waflib.Context.BOTH).splitlines():
            self.ver += "-dirty"

        pprint('BLUE', "git revision " + self.ver)
    else:
        self.ver = "unknown"

    fi = open(header, 'w')
    fi.write('#define GIT_VERSION "%s"\n' % self.ver)
    fi.close()

def build(bld):
    if not bld.env['DATA_DIR']:
        raise "DATA_DIR is emtpy"

=== debian/changelog ===
ladish (0.3-7) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Mon, 30 May 2011 18:00:51 +0200

ladish (0.3-6) experimental; urgency=low

  * Use x-terminal-emulator rather than xterm (Closes: #626664); thanks
    to Dan Muresan for the patch.

 -- Alessio Treglia <alessio@debian.org>  Tue, 24 May 2011 08:59:25 +0200

ladish (0.3-5) experimental; urgency=low

  * Fix in-terminal commands execution (Closes: #626481).
    - Ladish tries to start commands as $terminal -e "$command $argument"
      but x-terminal-emulator generally expects an executable + arguments,
      not a command string. Plus, this tells the terminal emulator which
      shell to use, rather than letting it decide on its own.
      Patch provided by Dan Muresan.

 -- Alessio Treglia <alessio@debian.org>  Thu, 12 May 2011 13:05:39 +0200

ladish (0.3-4) experimental; urgency=low

  * Move laditools from ladish's Depends field to gladish's Recommends field.
  * Add uuid-dev,libdbus-1-dev to liblash-compat-dev's Build-Depends field.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 23 Apr 2011 10:13:02 +0200

ladish (0.3-3) experimental; urgency=low

  * Enable liblash compatibility library to support those applications
    which needs lash to build. Note that it is *not* functional though
    and it's in place in order to ease the lash -> ladish transition.
    - Add liblash-compat-{1,dev} runtime packages.
      + Set liblash-compat-1's Breaks to lashd,python-lash.
      + Set liblash-compat-dev's Breaks,Replaces to liblash-dev.
  * debian/patches/1002-save_as_dialog_avoid_multiplied_emits.patch:
    - Don't add signal connection for path button each time it is
      opened to avoid multiplied emits; taken from upstream's VCS.

 -- Alessio Treglia <alessio@debian.org>  Thu, 21 Apr 2011 14:24:03 +0200

ladish (0.3-2) experimental; urgency=low

  [ Jonas Smedegaard ]
  * Fix rename a license shortname in copyright file to
    BSD-3-clause~author: it is a derived licensing.

  [ Alessio Treglia ]
  * debian/patches/0001-disable_stacktrace.patch
    - Don't print the stacktrace on segfaults; this fixes FTBFS on
      alpha, armel, ia64, kfreebsd-*, powerpc, sh4.
  * debian/copyright: Update to DEP-5 rev.174.

 -- Alessio Treglia <alessio@debian.org>  Tue, 19 Apr 2011 01:18:14 +0200

ladish (0.3-1) experimental; urgency=low

  * Initial release. (Closes: #611042)

 -- Alessio Treglia <alessio@debian.org>  Wed, 23 Mar 2011 12:37:25 +0100

=== debian/rules ===
#!/usr/bin/make -f

WAF = ./waf

%:
	dh $@ --with python2

override_dh_auto_configure:
	$(WAF) configure --prefix=/usr \
		--enable-liblash \
		--debug

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) distclean
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp
	cd $(CURDIR)/debian/tmp/usr/share/ladish && \
		rm AUTHORS COPYING NEWS README

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip -pladish --dbg-package=ladish-dbg
	dh_strip --remaining-packages

=== debian/watch ===
version=3

http://ladish.org/download/ ladish-([\d.]+)\.tar\.bz2

## ladish 1

=== debian/changelog ===
ladish (1-1) unstable; urgency=low

  * First upstream stable release -> yeah!
  * Drop unnecessary patches:
    - 0001-disable_stacktrace.patch
    - 0002-desktop_file.patch
    - 0003-save_as_dialog_avoid_multiplied_emits.patch
    - 0004-dont_activate_disabled_widgets.patch
    - 1004-in_terminal_execution.patch
    - 1005-kfreebsd.patch
    - 1006-gladish_dependencies.patch
  * Refresh 2001-xterminal_emulator_instead_of_xterm.patch.
  * Drop lash compatibility library, it's not needed anymore since we
    don't want applications use something deprecated.
  * mv debian/REDME.source to debian/README.source.
  * Remove --enable-liblash from configure's command line options.

 -- Alessio Treglia <alessio@debian.org>  Tue, 03 Jan 2012 02:36:41 +0100

ladish (0.3-10) unstable; urgency=low

  * Symlink libalsapid.so into /usr/lib (Closes: #641452).

 -- Alessio Treglia <alessio@debian.org>  Wed, 14 Sep 2011 08:17:49 +0200

ladish (0.3-9) unstable; urgency=medium

  * Update kfreebsd's patch (Closes: #639490).
  * Prevent SIGSEGV when launching gladish (LP: #835166).

 -- Alessio Treglia <alessio@debian.org>  Wed, 31 Aug 2011 09:28:57 +0200

ladish (0.3-8) unstable; urgency=low

  * Include <linux/limits.h> only on Linux architectures.
  * Add Recommends: a2jmidid.
  * Append gtk+-2.0 to gladish's dependencies list to
    prevent FTBFS (Closes: #639054 and LP: #831248).

 -- Alessio Treglia <alessio@debian.org>  Sat, 27 Aug 2011 11:30:36 +0200

=== debian/control ===
Source: ladish
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 intltool,
 libasound2-dev,
 libboost-dev,
 libjack-jackd2-dev (>= 1.9.6~dfsg.1-5),
 libdbus-1-dev,
 libdbus-glib-1-dev,
 libexpat1-dev,
 libflowcanvas-dev (>> 0.6.4),
 libglade2-dev,
 libgnomecanvasmm-2.6-dev,
 libgtk2.0-dev,
 python-all (>= 2.6.6-3),
 uuid-dev
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://ladish.org/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/ladish.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ladish.git

Package: ladish
Architecture: any
Depends: ${shlibs:Depends},
 jackd,
 python-dbus,
 ${python:Depends},
 ${misc:Depends}
Suggests: gladish
Recommends: a2jmidid
Description: session management system for JACK applications
 LADI Session Handler or simply ladish is a session management
 system for JACK applications on GNU/Linux. Its aim is to allow
 you to have many different audio programs running at once, to
 save their setup, close them down and then easily reload the
 setup at some other time. ladish doesn't deal with any kind of
 audio or MIDI data itself; it just runs programs, deals with
 saving/loading (arbitrary) data and connects JACK ports
 together. It can also be used to move entire sessions between
 computers, or post sessions on the Internet for download.

Package: gladish
Architecture: any
Depends: ${shlibs:Depends},
 ladish (= ${binary:Version}),
 ${misc:Depends}
Recommends: laditools
Description: graphical interface for LADI Session Handler
 LADI Session Handler or simply ladish is a session management
 system for JACK applications on GNU/Linux. Its aim is to allow
 you to have many different audio programs running at once, to
 save their setup, close them down and then easily reload the
 setup at some other time.
 .
 This package provides a graphical interface to ladish.

Package: ladish-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ladish (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for ladish
 LADI Session Handler or simply ladish is a session management
 system for JACK applications on GNU/Linux. Its aim is to allow
 you to have many different audio programs running at once, to
 save their setup, close them down and then easily reload the
 setup at some other time.
 .
 This package contains the debugging symbols for ladish.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 
 override_dh_auto_configure:
 	$(WAF) configure --prefix=/usr \
-		--enable-liblash \
 		--debug
 
 override_dh_auto_build:

## ladish 1%2Bdfsg0

=== debian/changelog ===
ladish (1+dfsg0-5ubuntu3) xenial; urgency=medium

  * No change rebuild with the new gnomecanvasmm soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Nov 2015 10:58:01 +0100

ladish (1+dfsg0-5ubuntu2) wily; urgency=medium

  * No-change rebuild against libglibmm-2.4-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 21:39:03 +0000

ladish (1+dfsg0-5ubuntu1) vivid; urgency=medium

  * debian/patches/arm64-sigsegv.patch: Add arm64 to list of architectures
    without stacktrace to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 14 Dec 2014 22:00:35 -0500

ladish (1+dfsg0-5) unstable; urgency=medium

  * Add patch to avoid gladish crash when DBus connection has failed.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 17 Sep 2014 09:12:44 +0100

ladish (1+dfsg0-4) unstable; urgency=low

  * Team upload.
  * debian/patches/eglibc-2.17.patch: Fix FTBFS with eglibc 2.17. (Closes:
    #701440)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Jun 2013 01:36:15 +0200

ladish (1+dfsg0-3) unstable; urgency=low

  * Use ladi-control-center by default instead of the obsolete
    ladiconf (Closes: #671360).
  * Update debian/copyright to machine readable format.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 May 2012 19:45:19 +0200

ladish (1+dfsg0-2) unstable; urgency=low

  * Revert "Drop lash compatibility library, it's not needed anymore."
    After a brief discussion with upstream's author, I've decided to
    reintroduce the dummy lash support to provide the L2 level of
    interaction until libladish is released.
  * Properly bump the SONAME due to the ABI breakage introduced by
    the latest ladish release.
  * Update debian/copyright.
  * Fix small misspellings.

 -- Alessio Treglia <alessio@debian.org>  Tue, 31 Jan 2012 14:05:05 +0100

ladish (1+dfsg0-1) unstable; urgency=low

  * Add unpack_waf.sh shell script to get rid of the 'waf' blob file.
  * Repack upstream tarball to get rid of the waf blob (Closes: #654481).
  * debian/watch: Mangle Debian versioning.
  * Call 'waf clean' instead of 'distclean', skip errors, prune *.pyc files.

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 Jan 2012 19:33:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: ladish
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
+Build-Depends:
+ debhelper (>= 7.0.50~),
  intltool,
  libasound2-dev,
  libboost-dev,
- libjack-jackd2-dev (>= 1.9.6~dfsg.1-5),
  libdbus-1-dev,
  libdbus-glib-1-dev,
  libexpat1-dev,
@@ -15,23 +17,27 @@
  libglade2-dev,
  libgnomecanvasmm-2.6-dev,
  libgtk2.0-dev,
+ libjack-jackd2-dev (>= 1.9.6~dfsg.1-5),
  python-all (>= 2.6.6-3),
  uuid-dev
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://ladish.org/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/ladish.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ladish.git
 
 Package: ladish
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
  jackd,
  python-dbus,
+ ${misc:Depends},
  ${python:Depends},
- ${misc:Depends}
-Suggests: gladish
-Recommends: a2jmidid
+ ${shlibs:Depends}
+Suggests:
+ gladish
+Recommends:
+ a2jmidid
 Description: session management system for JACK applications
  LADI Session Handler or simply ladish is a session management
  system for JACK applications on GNU/Linux. Its aim is to allow
@@ -45,10 +51,12 @@
 
 Package: gladish
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
  ladish (= ${binary:Version}),
- ${misc:Depends}
-Recommends: laditools
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ laditools
 Description: graphical interface for LADI Session Handler
  LADI Session Handler or simply ladish is a session management
  system for JACK applications on GNU/Linux. Its aim is to allow
@@ -58,11 +66,53 @@
  .
  This package provides a graphical interface to ladish.
 
+Package: liblash-compat-1debian0
+Section: libs
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks:
+ lashd,
+ python-lash
+Description: LASH compatibility library
+ liblash-compat is a library and associated header files, that aims
+ to provide lash environment for apps that can use it. Currently it
+ does not interact with ladish daemon yet.
+ .
+ This package provides the shared library.
+
+Package: liblash-compat-dev
+Section: libdevel
+Architecture: all
+Depends:
+ libdbus-1-dev,
+ liblash-compat-1debian0 (<< ${source:Upstream-Version}+1~),
+ liblash-compat-1debian0 (>= ${source:Version}),
+ uuid-dev,
+ ${misc:Depends}
+Breaks:
+ liblash-dev
+Replaces:
+ liblash-dev
+Description: LASH compatibility library (development files)
+ liblash-compat is a library and associated header files, that aims
+ to provide lash environment for apps that can use it. Currently it
+ does not interact with ladish daemon yet. In its current state, it
+ enables building lash-aware apps but they will fail to contact the
+ lash server.
+ .
+ In its current state, it enables building lash-aware apps but they
+ will fail to contact the lash server.
+ .
+ This package provides the development files.
+
 Package: ladish-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ladish (= ${binary:Version}),
+Depends:
+ ladish (= ${binary:Version}),
  ${misc:Depends}
 Description: Debugging symbols for ladish
  LADI Session Handler or simply ladish is a session management

## ladish 1+dfsg0

=== wscript ===
--- 
+++ 
@@ -12,7 +12,7 @@
 parallel_debug = False
 
 APPNAME='ladish'
-VERSION='0.3'
+VERSION='1'
 DBUS_NAME_BASE = 'org.ladish'
 RELEASE = True
 
@@ -108,6 +108,12 @@
         args = '--cflags --libs')
 
     conf.check_cfg(
+        package = 'alsa',
+        mandatory = True,
+        errmsg = "not installed, see http://www.alsa-project.org/",
+        args = '--cflags')
+
+    conf.check_cfg(
         package = 'dbus-1',
         atleast_version = '1.0.0',
         mandatory = True,
@@ -178,7 +184,9 @@
     if build_gui:
         # We need the boost headers package (e.g. libboost-dev)
         # shared_ptr.hpp and weak_ptr.hpp
-        build_gui = conf.check_boost(errmsg="not found, see http://boost.org/")
+        build_gui = conf.check_boost(
+            mandatory = False,
+            errmsg="not found, see http://boost.org/")
 
     conf.env['BUILD_GLADISH'] = build_gui
 
@@ -190,6 +198,8 @@
     if conf.env['BUILD_PYLASH']:
         conf.check_python_version()
         conf.check_python_headers()
+
+    add_cflag(conf, '-fvisibility=hidden')
 
     conf.env['BUILD_WERROR'] = not RELEASE
     add_cflag(conf, '-Wall')
@@ -299,15 +309,3 @@
         if bld.cmd_and_log("LANG= git diff-index --name-only HEAD", quiet=waflib.Context.BOTH).splitlines():
             self.ver += "-dirty"
 
-        pprint('BLUE', "git revision " + self.ver)
-    else:
-        self.ver = "unknown"
-
-    fi = open(header, 'w')
-    fi.write('#define GIT_VERSION "%s"\n' % self.ver)
-    fi.close()
-
-def build(bld):
-    if not bld.env['DATA_DIR']:
-        raise "DATA_DIR is emtpy"
-

=== debian/changelog ===
ladish (1+dfsg0-6) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field

  [ Sebastian Ramacher ]
  * debian/:
    - Remove debug package
    - Bump debhelper compat to 12
    - Update Python 2 usage
  * debian/control:
    - Bump Standards-Version
    - Remove obsolete Breaks+Replaces
  * debian/copyright: Remove obsolete paragraphs

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Dec 2019 11:17:55 +0100

ladish (1+dfsg0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add arm64, hppa and sparc64 to the architectures where stacktraces
    are disabled, thanks to Helge Deller. (Closes: #762016)

 -- Adrian Bunk <bunk@debian.org>  Mon, 20 Mar 2017 21:36:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ladish
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper-compat (= 12),
+ dh-sequence-python2,
+ dh-python,
  intltool,
  libasound2-dev,
  libboost-dev,
@@ -18,13 +19,12 @@
  libgnomecanvasmm-2.6-dev,
  libgtk2.0-dev,
  libjack-jackd2-dev (>= 1.9.6~dfsg.1-5),
- python-all (>= 2.6.6-3),
+ python2 (>= 2.6.6-3),
  uuid-dev
-X-Python-Version: >= 2.6
-Standards-Version: 3.9.5
+Standards-Version: 4.4.1
 Homepage: http://ladish.org/
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/ladish.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ladish.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/ladish.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/ladish
 
 Package: ladish
 Architecture: any
@@ -72,9 +72,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Breaks:
- lashd,
- python-lash
 Description: LASH compatibility library
  liblash-compat is a library and associated header files, that aims
  to provide lash environment for apps that can use it. Currently it
@@ -91,10 +88,6 @@
  liblash-compat-1debian0 (>= ${source:Version}),
  uuid-dev,
  ${misc:Depends}
-Breaks:
- liblash-dev
-Replaces:
- liblash-dev
 Description: LASH compatibility library (development files)
  liblash-compat is a library and associated header files, that aims
  to provide lash environment for apps that can use it. Currently it
@@ -106,19 +99,3 @@
  will fail to contact the lash server.
  .
  This package provides the development files.
-
-Package: ladish-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends:
- ladish (= ${binary:Version}),
- ${misc:Depends}
-Description: Debugging symbols for ladish
- LADI Session Handler or simply ladish is a session management
- system for JACK applications on GNU/Linux. Its aim is to allow
- you to have many different audio programs running at once, to
- save their setup, close them down and then easily reload the
- setup at some other time.
- .
- This package contains the debugging symbols for ladish.

=== debian/rules ===
#!/usr/bin/make -f

WAF = python2 ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure --prefix=/usr \
		--enable-liblash \
		--debug

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find waflib -name "*.pyc" -delete
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp
	cd $(CURDIR)/debian/tmp/usr/share/ladish && \
		rm AUTHORS COPYING NEWS README

override_dh_installchangelogs:
	dh_installchangelogs NEWS
